## Class Cyclometric

    java.lang.Object
      Cyclometric

     class Cyclometric

extends Object

This class is used to store results of angles of subspaces. It carries information about the angle itself and whether the angle is one of 0, π/6, π/4, π/3, or π/2.

Since:
  2014-10-28
Version:
  1.0
Author:
  Pavel Sikora <pavelsikora@mail.muni.cz>

Constructor Summary
`Cyclometric(double princVal, boolean isArcsine)` Constructs all information about the cyclometric function, given its principal value as a double (in cases when we could not find a rational solution) and type of the cyclometric function.
`Cyclometric(SquareRootFraction princVal, boolean isArcsine)` Constructs all information about the cyclometric function, given its principal value and type of the cyclometric function.

Method Summary
`(package private) String` `toTeX()`
`(package private) String` `toText()`

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cyclometric

    Cyclometric(double princVal,
                boolean isArcsine)

  Constructs all information about the cyclometric function, given its principal value as a double (in cases when we could not find a rational solution) and type of the cyclometric function.

  Parameters:
    `princVal` - the principal value, ie. the result of the respective trigonometric function that we were unable to convert to a rational number
    `isArcsine` - a flag, controlling if `princVal` is the result of arcsin (`true`) or arccos (`false`)

### Cyclometric

    Cyclometric(SquareRootFraction princVal,
                boolean isArcsine)

  Constructs all information about the cyclometric function, given its principal value and type of the cyclometric function.

  Parameters:
    `princVal` - the principal value, ie. the result of the respective trigonometric function
    `isArcsine` - a flag, controlling if `princVal` is the result of arcsin (`true`) or arccos (`false`)

Method Detail

### toTeX

    String toTeX()

### toText

    String toText()